# Record Class VulkanAPIDumpShowTypes

java.lang.Object
java.lang.Record
com.io7m.jcoronado.layers.lunarg_api_dump.api.VulkanAPIDumpShowTypes

Record Components:
  `enabled` - If enabled

All Implemented Interfaces:
  `VulkanAPIDumpSettingType`

public record VulkanAPIDumpShowTypes(boolean enabled) extends Record implements VulkanAPIDumpSettingType

See Also:
  - "https://vulkan.lunarg.com/doc/view/latest/linux/api_dump_layer.html"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanAPIDumpShowTypes(boolean enabled)`
  Creates an instance of a `VulkanAPIDumpShowTypes` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `enabled()`
  Returns the value of the `enabled` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `VulkanLayerSettingType`
  `toSetting()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanAPIDumpShowTypes

    public VulkanAPIDumpShowTypes(boolean enabled)
    Creates an instance of a `VulkanAPIDumpShowTypes` record class.
    Parameters:
      `enabled` - the value for the `enabled` record component

- ## Method Details

  - ### toSetting

    public VulkanLayerSettingType toSetting()
    Specified by:
      `toSetting` in interface `VulkanAPIDumpSettingType`
    Returns:
      This setting as a layer setting

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### enabled

    public boolean enabled()
    Returns the value of the `enabled` record component.
    Returns:
      the value of the `enabled` record component